Set Patient Facilities
curl --request POST \
--url https://api.sandbox.metriport.com/medical/v1/patient/{id}/facility \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"facilityIds": [
"<string>"
]
}
'import requests
url = "https://api.sandbox.metriport.com/medical/v1/patient/{id}/facility"
payload = { "facilityIds": ["<string>"] }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({facilityIds: ['<string>']})
};
fetch('https://api.sandbox.metriport.com/medical/v1/patient/{id}/facility', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
import { MetriportMedicalApi } from "@metriport/api-sdk";
const metriport = new MetriportMedicalApi("YOUR_API_KEY");
const patientId = "018a80c4-292a-7486-a1234-76yuhe23yu14";
const facilities = await metriport.setPatientFacilities(
patientId,
[
"018a80c4-292a-7486-a1234-9uiu76yhe234",
"018a80c4-292a-7486-a1234-6hyt345tyu23",
]
);
Patient
Set Patient Facilities
Sets the facilities associated with a patient. This operation overrides any existing facility associations and replaces them with the provided list.
POST
/
medical
/
v1
/
patient
/
{id}
/
facility
Set Patient Facilities
Path Params
string
required
The ID of the patient to set facilities for.
Body
string[]
required
Array of facility IDs to associate with the patient. This
will replace all existing facility associations.
Response
Facility[]
required
Array of facilities associated with the patient after the
update.
Show Facility properties
Show Facility properties
string
required
The ID assigned to this Facility. This ID will be used to uniquely identify this Facility in
medical documents.
string
required
The OID assigned to this Facility.
string
required
The name of your Facility. This is the actual address where a patient will receive care (can be
virtual) - for example
Care Facility, LLC.string
required
The 10 digit National Provider Identifier (NPI) that will be used to make requests on behalf of
the Facility.
Address
required
string
The Taxpayer Identification Number (TIN) of the Facility.
bool
Whether or not this Facility is currently active - this is usually
true.import { MetriportMedicalApi } from "@metriport/api-sdk";
const metriport = new MetriportMedicalApi("YOUR_API_KEY");
const patientId = "018a80c4-292a-7486-a1234-76yuhe23yu14";
const facilities = await metriport.setPatientFacilities(
patientId,
[
"018a80c4-292a-7486-a1234-9uiu76yhe234",
"018a80c4-292a-7486-a1234-6hyt345tyu23",
]
);
{
"facilities": [
{
"id": "018a80c4-292a-7486-a1234-9uiu76yhe234",
"eTag": "1",
"oid": "2.16.840.1.113883.3.666.123.4.101",
"name": "Care Facility, LLC",
"npi": "1234567891",
"tin": "12-3456789",
"active": true,
"address": {
"addressLine1": "2261 Market Street",
"addressLine2": "#4818",
"city": "San Francisco",
"state": "CA",
"zip": "94114",
"country": "USA"
}
},
{
"id": "018a80c4-292a-7486-a1234-6hyt345tyu23",
"eTag": "1",
"oid": "2.16.840.1.113883.3.666.123.4.102",
"name": "Care Facility 2, LLC",
"npi": "1789123456",
"tin": "12-6789345",
"active": true,
"address": {
"addressLine1": "451 Care Street",
"addressLine2": "#320",
"city": "Austin",
"state": "TX",
"zip": "78617",
"country": "USA"
}
}
]
}
⌘I

